/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package FacilityMgmt.Facility;

import java.util.Vector;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype role */
public class FacilityInUse {
    public int calcCurrentUseLevel() {
        return 0;
    }

    public BigDecimal calcUsageCost() {
        return new BigDecimal(0);
    }

    public int calcUsageRate() {
        return 0;
    }

    public int calcReservationToUsageRatio() {
        return 0;
    }

    public int calcUsageToProblemRatio() {
        return 0;
    }

    public boolean isReservedDuringInterval() {
        return false;
    }

    public boolean isInUseDuringInterval() {
        return false;
    }

    public Vector listRequestedUsage() {
        return new Vector();
    }

    public Vector listPlannedUsage() {
        return new Vector();
    }

    public Vector listActualUsage() {
        return new Vector();
    }

    public Vector listInspections() {
        return new Vector();
    }

    public Vector listProblems() {
        return new Vector();
    }

    /**
     *@supplierCardinality 0..*
     * @clientCardinality 1
     */
    private FacilityMgmt.FacilityMaintenance.FacilityInspection lnkUnnamed5;

    /**
     * @clientCardinality 1
     * @supplierCardinality 0..*
     */
    private FacilityMgmt.FacilityMaintenance.FacilityProblem lnkUnnamed1;

    /**
     * @clientCardinality 0..*
     * @supplierCardinality 0..*
     */
    private ManuMgmt.Process.ManuProcess lnkUnnamed2;

    /**
     * @clientCardinality 0..*
     * @supplierCardinality 0..*
     */
    private FacilityMgmt.FacilityUse.FacilityUseRequest lnkUnnamed3;

    /**
     * @clientCardinality 0..1
     * @supplierCardinality 1
     */
    private Facility lnkUnnamed;

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 0..*
     */
    private FacilityMgmt.FacilityUse.FacilityUseDetail lnkUnnamed4;
}


